Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Class FileUploadBase.IOFileUploadException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.fileupload.FileUploadException
                  org.apache.commons.fileupload.FileUploadBase.IOFileUploadException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  FileUploadBase

    public static class FileUploadBase.IOFileUploadException

extends FileUploadException

Thrown to indicate an IOException.

See Also:
  Serialized Form

Constructor Summary
`FileUploadBase.IOFileUploadException(java.lang.String pMsg, java.io.IOException pException)` Creates a new instance with the given cause.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the exceptions cause.

Methods inherited from class org.apache.commons.fileupload.FileUploadException
`printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileUploadBase.IOFileUploadException

    public FileUploadBase.IOFileUploadException(java.lang.String pMsg,
                                                java.io.IOException pException)

  Creates a new instance with the given cause.

  Parameters:
    `pMsg` - The detail message.
    `pException` - The exceptions cause.

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the exceptions cause.

  Overrides:
    `getCause` in class `FileUploadException`
  Returns:
    The exceptions cause, if any, or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.